import java.sql.*;
public class BatchDatabaseCreation {
	
	public static void main(String[] args) {
		try{
			  Connection connection = null;
		      Class.forName("com.mysql.jdbc.Driver");
		
		      connection = DriverManager.getConnection("jdbc:mysql://localhost:3306/","root","root");
		      try{		    	  
		    	  	// Create statement object  
		    	  	Statement stmt = connection.createStatement();		        
		    	     
		    	  	// Set auto-commit to false
			        connection.setAutoCommit(false);
			        
			        String dbName = "roseindia_jdbc_tutorials";
			        
			         // create database query 
			        String createdatabasequery = "Create Database "+dbName;			        
				     
			        stmt.addBatch(createdatabasequery);			        
			                
			        stmt.executeBatch();
			        
			        System.out.println("Database Creation Sucessfully.");
	
			       // connection committed
			        connection.commit(); 
		      }
		      catch (SQLException s){
		        System.out.println("SQL Exception " + s);
		      }
		    }
		    catch (Exception e){
		      e.printStackTrace();
		    }
				
	}

}






